%bcond_with test

%global modname arrow

Summary:            Better dates and times for Python
Name:               python-%{modname}
Version:            1.2.3
Release:            3%{?dist}
License:            ASL 2.0
URL:                https://pypi.org/project/arrow
Source0:            https://files.pythonhosted.org/packages/source/a/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

%description
Arrow is a Python library that offers a sensible and human-friendly approach to
creating, manipulating, formatting and converting dates, times and timestamps.
It implements and updates the datetime type, plugging gaps in functionality and
providing an intelligent module API that supports many common creation scenarios.
Simply put, it helps you work with dates and times with fewer imports and a lot
less code.


%package -n         python3-%{modname}
Summary:            Better dates and times for Python
BuildRequires:      python3-devel python3-setuptools python3-six python3-mock
%if %{with test}
BuildRequires:      python3-chai python3-dateparser python3-dateutil python3-simplejson
BuildRequires:      python3-pytest python3-pytest-mock python3-pytest-cov python3-pytz
%endif
Requires:           python3-dateutil python3-six

%description -n python3-%{modname}
Arrow is a Python library that offers a sensible and human-friendly approach to
creating, manipulating, formatting and converting dates, times and timestamps.
It implements and updates the datetime type, plugging gaps in functionality and
providing an intelligent module API that supports many common creation scenarios.
Simply put, it helps you work with dates and times with fewer imports and a lot
less code.


%prep
%autosetup -n %{modname}-%{version}
sed -i -e "s|--cov-fail-under=100 ||" tox.ini
rm -rf %{modname}.egg-info

%build
%py3_build

%install
%py3_install

%if %{with test}
%check
pytest-%{python3_version} tests
%endif

%files -n python3-%{modname}
%license LICENSE
%doc README.rst CHANGELOG.rst
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri May 05 2023 Miaojun Dong <zoedong@tencent.com> - 1.2.3-1
- initial build
